<?php
/**
 * Frontend render
 *
 * @package designer-powerup-for-elementor\powerups\blob
 */

use Elementor\Core\DynamicTags\Dynamic_CSS;

/**
 * Hooks into frontend CSS processing to add the Gradient CSS.
 * Inspired from the implementation of Custom CSS in Elementor Pro.
 *
 * @source elementor-pro/modules/custom-css/module.php#L48
 */
add_action(
	'elementor/element/parse_css',
	function( $post_css, $element ) {

		if ( $post_css instanceof Dynamic_CSS ) {
			return;
		}

		if ( 'edp-blob-generator' !== $element->get_name() ) {
			return;
		}

		$settings     = $element->get_settings_for_display();
		$fill_setting = $settings['edp_blob_fill'];

		if ( ! in_array( $fill_setting, [ 'image', 'gradient' ], true ) ) {
			return;
		}

		$blob_fill_path = $post_css->get_element_unique_selector( $element ) . ' .edp-blob path { fill: url(#' . $fill_setting . '_' . $element->get_id() . '); }';

		$post_css->get_stylesheet()->add_raw_css( $blob_fill_path );
	},
	10, 2
);
