<?php

/**
 * Section Grid Initialization
 *
 * @package designer-powerup-for-elementor\powerups\section-grid
 */

// Grid dimensions custom control.
require_once EDP_PLUGIN_PATH . 'custom-controls/edp-custom-dimensions/init.php';

add_action(
	'elementor/controls/controls_registered',
	function () {
		\Elementor\Plugin::$instance->controls_manager->register_control('edp-custom-dimensions', new Control_EDP_Grid_Dimensions());
	}
);

// if (Elementor\Plugin::$instance->experiments->is_feature_active('container')) {
// 	require_once EDP_PLUGIN_PATH . 'powerups/css-grid/controls/container.php';
// }

require_once EDP_PLUGIN_PATH . 'powerups/css-grid/controls/section.php';
require_once EDP_PLUGIN_PATH . 'powerups/css-grid/controls/column.php';

add_action(
	'elementor/editor/after_enqueue_scripts',
	function () {

		wp_register_script(
			'edp-sg-editor',
			EDP_PLUGIN_URL . 'powerups/css-grid/editor.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			['elementor-editor'],
			Designer_Powerup_For_Elementor::VERSION,
			true
		);

		wp_enqueue_script('edp-sg-editor');
	}
);

add_action(
	'elementor/editor/after_enqueue_styles',
	function () {

		wp_register_style(
			'edp-sg-editor',
			EDP_PLUGIN_URL . 'powerups/css-grid/controls/editor.css',
			['elementor-editor'],
			Designer_Powerup_For_Elementor::VERSION
		);

		wp_enqueue_style('edp-sg-editor');
	}
);

add_action(
	'elementor/preview/enqueue_styles',
	function () {

		wp_register_style(
			'edp-sg-preview',
			EDP_PLUGIN_URL . 'powerups/css-grid/preview.min.css',
			[],
			Designer_Powerup_For_Elementor::VERSION
		);

		wp_enqueue_style('edp-sg-preview');
	}
);
