<?php
/**
 * Page Layout Grid Initialization
 *
 * @package designer-powerup-for-elementor\powerups\page-grid
 */

require_once EDP_PLUGIN_PATH . 'powerups/page-grid/controls.php';

add_action(
	'elementor/editor/after_enqueue_scripts',
	function() {

		wp_register_script(
			'edp-page-grid-editor',
			EDP_PLUGIN_URL . 'powerups/page-grid/editor.' . Designer_Powerup_For_Elementor::get_js_suffix() . '.js',
			[ 'elementor-editor' ],
			Designer_Powerup_For_Elementor::VERSION,
			true
		);

		wp_enqueue_script( 'edp-page-grid-editor' );

	}
);

add_action(
	'elementor/preview/enqueue_styles',
	function() {
		wp_enqueue_style(
			'edp-page-grid-preview-style',
			EDP_PLUGIN_URL . 'powerups/page-grid/preview.min.css',
			[],
			Designer_Powerup_For_Elementor::VERSION
		);
	}
);
