<?php
/**
 * Overwriting default Shape Divider controls to adjust output to work with our new shape dividers.
 *
 * @package designer-powerup-for-elementor\powerups\shape-dividers
 */

add_action(
	'elementor/element/section/section_shape_divider/before_section_end',
	function ( \Elementor\Element_Base $element, $args ) {

		$sides = [ 'top', 'bottom' ];

		foreach ( $sides as $side ) {

			$base_control_key = "shape_divider_$side";

			/**
			 * Modify max width to allow 1000% SVG stretch instead of the default 300
			 */
			$element->update_responsive_control(
				$base_control_key . '_width',
				[
					'range' => [
						'%' => [
							'max' => 1000,
						],
					],
				]
			);

			/**
			 * Apply the color of <path> element instead of the `.element-shape-fill` class that needs to be added to all the paths.
			 */
			$element->update_control(
				$base_control_key . '_color',
				[
					'selectors' => [
						"{{WRAPPER}} > .elementor-shape-$side path, {{WRAPPER}} > .elementor-shape-$side polygon, {{WRAPPER}} > .elementor-shape-$side rect" => 'fill: {{UNIT}};',
					],
				]
			);

		}

	},
	10, 2
);
