<?php

/**
 * Registering the shape dividers.
 *
 * @package designer-powerup-for-elementor\powerups\shape-dividers
 */

add_filter(
	'elementor/shapes/additional_shapes',
	function ($additional_shapes) {

		$edp_shapes = [
			'edp_arrowhead' => [
				'name'     => 'DP Arrowhead',
				'filename' => 'arrowhead',
			],
			'edp_bar' => [
				'name'     => 'DP Bar',
				'filename' => 'bar',
			],
			'edp_bush' => [
				'name'     => 'DP Bush',
				'filename' => 'bush',
			],
			'edp_diamond' => [
				'name'     => 'DP Diamond',
				'filename' => 'diamond',
			],
			'edp_disco' => [
				'name'     => 'DP Disco',
				'filename' => 'disco',
			],
			'edp_division' => [
				'name'     => 'DP Division',
				'filename' => 'division',
				'has_flip' => true,
			],
			'edp_doublearc' => [
				'name'     => 'DP Double Arc',
				'filename' => 'doublearc',
			],
			'edp_elevation' => [
				'name'     => 'DP Elevation',
				'filename' => 'elevation',
			],
			'edp_fancywaves' => [
				'name'     => 'DP Fancy Waves',
				'filename' => 'fancywaves',
				'has_flip' => true,
			],
			'edp_fancywaves2' => [
				'name'     => 'DP Fancy Waves 2',
				'filename' => 'fancywaves2',
				'has_flip' => true,
			],
			'edp_hills' => [
				'name'     => 'DP Hills',
				'filename' => 'hills',
				'has_flip' => true,
			],
			'edp_intersection' => [
				'name'     => 'DP Intersection',
				'filename' => 'intersection',
				'has_flip' => true,
			],
			'edp_lines' => [
				'name'     => 'DP Lines',
				'filename' => 'lines',
			],
			'edp_mount' => [
				'name'     => 'DP Mount',
				'filename' => 'mount',
				'has_flip' => true,
			],
			'edp_paint' => [
				'name'     => 'DP Paint',
				'filename' => 'paint',
			],
			'edp_semicircle' => [
				'name'     => 'DP Semicircle',
				'filename' => 'semicircle',
				'has_flip' => true,
			],
			'edp_sunrise' => [
				'name'     => 'DP Sunrise',
				'filename' => 'sunrise',
			],
			'edp_swerve' => [
				'name'     => 'DP Swerve',
				'filename' => 'swerve',
				'has_flip' => true,
			],
			'edp_tangerinewave' => [
				'name'     => 'DP Tangerine Wave',
				'filename' => 'tangerinewave',
				'has_flip' => true,
			],
			'edp_teeth' => [
				'name'     => 'DP Teeth',
				'filename' => 'teeth',
			],
			'edp_terrains' => [
				'name'     => 'DP Terrains',
				'filename' => 'terrains',
				'has_flip' => true,
			],
			'edp_tiltedbar' => [
				'name'     => 'DP Tilted Bar',
				'filename' => 'tiltedbar',
				'has_flip' => true,
			],
			'edp_triangular' => [
				'name'     => 'DP Triangular',
				'filename' => 'triangular',
			],
			'edp_water' => [
				'name'     => 'DP Water',
				'filename' => 'water',
				'has_flip' => true,
			],
		];

		foreach ($edp_shapes as $shape_id => $shape_data) {

			// 'url' param is for the JavaScript template and 'path' is for the frontend inclusion
			$additional_shapes[$shape_id] = [
				'title' => $shape_data['name'],
				'url'   => EDP_PLUGIN_URL . 'powerups/shape-dividers/svg/' . $shape_data['filename'] . '.svg',
				'path'  => EDP_PLUGIN_PATH . 'powerups/shape-dividers/svg/' . $shape_data['filename'] . '.svg',
			];

			if (isset($shape_data['has_flip'])) {
				$additional_shapes[$shape_id]['has_flip'] = $shape_data['has_flip'];
			}
		}

		return $additional_shapes;
	}
);
