<?php

use \Elementor\Controls_Manager;

add_action(
	'elementor/element/editor-preferences/preferences/after_section_end',
	function ($stack) {

		$edp_qs_element_options = [];
		$edp_qs_element_defaults = [];

		if (Elementor\Plugin::$instance->experiments->is_feature_active('container')) {
			$edp_qs_element_options['container'] = __('Container', 'designer-powerup-for-elementor');
			$edp_qs_element_defaults[] = 'container';
		}

		$edp_qs_element_options['section'] = __('Section', 'designer-powerup-for-elementor');
		$edp_qs_element_defaults[] = 'section';
		$edp_qs_element_options['column'] = __('Column', 'designer-powerup-for-elementor');
		$edp_qs_element_defaults[] = 'column';
		$edp_qs_element_options['widget'] = __('Widget', 'designer-powerup-for-elementor');
		$edp_qs_element_defaults[] = 'widget';

		$stack->start_controls_section(
			'edp_quick_spacers_section',
			[
				'label' => __('Quick Spacers', 'designer-powerup-for-elementor'),
				'tab' => Controls_Manager::TAB_SETTINGS,
			]
		);

		$stack->add_control(
			'edp_quick_spacers_enable',
			[
				'label'       => __('Enable Quick Spacers', 'designer-powerup-for-elementor'),
				'description' => __('Use `Opt/Alt + S` shortcut to toggle', 'designer-powerup-for-elementor'),
				'type'        => Controls_Manager::SWITCHER,
				'default'     => 'yes',
			]
		);

		$stack->add_control(
			'edp_quick_spacers_enabled_elements',
			[
				'label'       => __('Use on these elements', 'designer-powerup-for-elementor'),
				'type'        => Controls_Manager::SELECT2,
				'multiple' => true,
				'options' => $edp_qs_element_options,
				'default' => $edp_qs_element_defaults,
			]
		);

		$stack->add_control(
			'edp_quick_spacers_drag_jump',
			[
				'label'       => __('Default Drag Jump (px)', 'designer-powerup-for-elementor'),
				'type'        => Controls_Manager::NUMBER,
				'min'         => 1,
				'max'         => 25,
				'step'        => 1,
				'default'     => 5,
			]
		);

		$stack->end_controls_section();
	},
	10,
	2
);
