<?php
/**
 * Allow column ordering.
 *
 * @package designer-powerup-for-elementor\utils\column-order
 */

use Elementor\Controls_Manager;

add_action(
	'elementor/element/column/layout/before_section_end',
	function( $element, $section_id ) {

		$element->start_injection([
			'at' => 'before',
			'of' => 'html_tag'
		]);

		$element->add_responsive_control(
			'edp_column_order',
			[
				'label' => __( 'Column Order', 'designer-powerup-for-elementor' ),
				'description' => __( 'Change display order by assigning a positive number to it. Default 0.', 'designer-powerup-for-elementor' ),
				'type' => Controls_Manager::NUMBER,
				'min' => 0,
				'selectors' => [
					'{{WRAPPER}}.elementor-column' => 'order: {{VALUE}};',
				],
			]
		);

		$element->end_injection();

	},
	10,
	2
);
