<?php

use \Elementor\Controls_Manager;

add_action('elementor/element/section/section_layout/before_section_end', function ($control_stack) {

	// Legacy Selector, from versions before 3.0
	$section_selector = '.elementor-container > .elementor-row';

	$is_dom_optimization_enabled = (version_compare(ELEMENTOR_VERSION, '3.19', '>=')) ? true : Elementor\Plugin::$instance->experiments->is_feature_active('e_dom_optimization');

	if ($is_dom_optimization_enabled) {
		// DOM Optimization enabled, set the new section selector
		$section_selector = '.elementor-container';
	}

	$control_stack->start_injection([
		'at' => 'before',
		'of' => 'gap'
	]);

	$control_stack->add_control(
		'edp_section_flex_wrap',
		[
			'label' => __('Flex Wrap', 'designer-powerup-for-elementor'),
			'description' => __('Wrap child columns to multiple rows on desktop. Edit child column\'s width to take effect.', 'designer-powerup-for-elementor'),
			'type' => Controls_Manager::SWITCHER,
			'selectors' => [
				'{{WRAPPER}} > ' . $section_selector => 'flex-wrap: wrap;',
			],
		]
	);

	$control_stack->end_injection();
});
